Subject: Re: Last Call: <draft-ietf-softwire-dslite-yang-14.txt> (A YANG Data Module for Dual-Stack Lite (DS-Lite)) to Proposed Standard

From: "tom p." <[email-masked]>
Date: Tue, 20 Feb 2018 11:07:15 -0000

Some minor, mostly administrative, details

- The note to the RFC Editor asking them to replace XXXX is good.  I
suggest  another asking them to update the dates in the file and
revision clauses of the YANG module with the date of publication..

- Copyright is 2017

- the YANG module has six imports but no reference to where they can be
found.  I suggest adding a reference clause to each import, as in e.g.
draft-ietf-netmod-syslog-model, and, since the reference clause cannot
contain a XML style reference to the Reference section of the I-D, a
further mention of these I-D/RFC in the body of the I-D, again as in
e.g.
draft-ietf-netmod-syslog-model

- RFC7223 now has a bis version which I think you should use as it is
the NMDA version - this might affect your augments, I have not delved
into that yet.

- RFC5246 is being obsoleted and ... perhaps not:-)

- RFC 6536 is being revised and will soon be in IETF Last Call

Tom Petch

----- Original Message -----
From: "The IESG" <[email-masked]>
Sent: Monday, February 12, 2018 2:28 PM

>
> The IESG has received a request from the Softwires WG (softwire) to
consider
> the following document: - 'A YANG Data Module for Dual-Stack Lite
(DS-Lite)'
>   <draft-ietf-softwire-dslite-yang-14.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits
final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2018-02-26. Exceptionally, comments may
be
> sent to [email-masked] instead. In either case, please retain the
beginning of
> the Subject line to allow automated sorting.
>
> Abstract
>
>
>    This document defines a YANG module for the DS-Lite Address Family
>    Transition Router (AFTR) and Basic Bridging BroadBand (B4)
elements.
>
> Editorial Note (To be removed by RFC Editor)
>
>    Please update these statements with the RFC number to be assigned
to
>    this document:
>
>    o  "This version of this YANG module is part of RFC XXXX;"
>
>    o  "RFC XXXX: A YANG Data Module for Dual-Stack Lite (DS-Lite)";
>
>    o  "reference: RFC XXXX"
>
>
>
>
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-softwire-dslite-yang/
>
> IESG discussion can be tracked via
>
https://datatracker.ietf.org/doc/draft-ietf-softwire-dslite-yang/ballot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>
>
> The document contains these normative downward references.
> See RFC 3967 for additional information:
>     draft-ietf-opsawg-nat-yang: A YANG Module for Network Address
Translation (NAT) (None - IETF stream)

---

From: <[email-masked]>
Date: Tue, 20 Feb 2018 13:34:17 +0000

Hi Tom,

Thank you for the review and comments. 

Please see inline.

Cheers,
Med

> -----Message d'origine-----
> De : tom p. [mailto:[email-masked]]
> Envoyé : mardi 20 février 2018 12:07
> À : [email-masked]
> Cc : [email-masked]; [email-masked]; softwire-
> [email-masked]; [email-masked]; [email-masked]
> Objet : Re: Last Call: <draft-ietf-softwire-dslite-yang-14.txt> (A YANG Data
> Module for Dual-Stack Lite (DS-Lite)) to Proposed Standard
> 

[Med] Fixed in my local copy. 

> - Copyright is 2017

[Med] Updated to 2018 in my local copy. 

> draft-ietf-netmod-syslog-model,

[Med] Happily. Done. 

 and, since the reference clause cannot
> draft-ietf-netmod-syslog-model

[Med] Given that almost all these pointers are already mentioned in the core text, I added only a sentence to refer to RFC7224. 

> the NMDA version - this might affect your augments, I have not delved

[Med] Now that the 7223bis is in the RFC Editor queue, I updated the text. 

> - RFC5246 is being obsoleted and ... perhaps not:-)

[Med] Yeah, but RFC5246 is part of the recommended security text for YANG modules (https://trac.ietf.org/trac/ops/wiki/yang-security-guidelines). RFC5246 will be maintained till that reco is updated. 

> - RFC 6536 is being revised and will soon be in IETF Last Call

[Med] Actually, it will be published as RFC8341. I updated the text accordingly.

---

From: <[email-masked]>
Date: Tue, 27 Feb 2018 07:13:28 +0000

Hi Tom,

FWIW, an updated version which takes into account your review is available online. 

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-softwire-dslite-yang/ 

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-softwire-dslite-yang-15

Cheers,
Med

> De : [email-masked] [mailto:[email-masked]]
> Envoyé : mardi 20 février 2018 14:34
> À : tom p.
> [email-masked]; [email-masked]; [email-masked]; [email-masked]
> Objet : RE: Last Call: <draft-ietf-softwire-dslite-yang-14.txt> (A YANG Data
> [Med] Given that almost all these pointers are already mentioned in the core
> text, I added only a sentence to refer to RFC7224.
> 
> >
> [Med] Yeah, but RFC5246 is part of the recommended security text for YANG
> modules (https://trac.ietf.org/trac/ops/wiki/yang-security-guidelines).
> RFC5246 will be maintained till that reco is updated.
> 
> >

---

From: "tom p." <[email-masked]>
Date: Tue, 27 Feb 2018 12:36:55 -0000

Med

Two thoughts.

You have a reference clause for RFC8343 which is good, but it does not
appear in the Reference section of the I-D which I think it should.  It
then needs to appear in the text part of the I-D lest you get a unused
reference warning, perhaps at the start of section 3, or else in section
2. (I like the approach of rfc7227bis which lists all the imports
together).

Second, when you say
"  Also, update this sentence with the RFC number to be assigned to this
   document:
   o  "RFC YYYY: A YANG Module for Network Address Translation (NAT) and
Network Prefix Translation (NPT)"
'this document' could be misread as
 draft-ietf-softwire-dslite-yang
rather than
 I-D.ietf-opsawg-nat-yang
I suggest replacing 'this document' by  ' ietf-opsawg-nat-yang'
I know, picky, but I like the RFC Editor to have to think as little as
possible so they can concentrate on what they do so well.

Tom Petch

----- Original Message -----
From: <[email-masked]>
Sent: Tuesday, February 27, 2018 7:13 AM

> > > Objet : Re: Last Call: <draft-ietf-softwire-dslite-yang-14.txt> (A
YANG
> > Data
> > modules
(https://trac.ietf.org/trac/ops/wiki/yang-security-guidelines).

---

From: <[email-masked]>
Date: Tue, 27 Feb 2018 14:13:59 +0000

Re-,

Thank you for double checking. Much appreciated!

Please see inline. 

Cheers,
Med

> Envoyé : mardi 27 février 2018 13:37
> À : BOUCADAIR Mohamed IMT/OLN
> [email-masked]; [email-masked]; [email-masked]; ietf
> appear in the Reference section of the I-D which I think it should.

[Med] Hmm. We do have such entry: 

   [I-D.ietf-netmod-rfc7223bis]
              Bjorklund, M., "A YANG Data Model for Interface
              Management", draft-ietf-netmod-rfc7223bis-03 (work in
              progress), January 2018.

  It
> possible so they can concentrate on what they do so well.

[Med] If you think this can be misinterpreted, I'm happy to change it. I will fix it in my local copy but will wait for other comments from the IESG review before releasing a new version.